/*
Gwenview - A simple image viewer for KDE
Copyright (C) 2000-2001 Aurlien Gteau

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
#ifndef FILEOPERATION_H
#define FILEOPERATION_H

#include <qobject.h>

class QWidget;
class KIO::Job;

class FileOperation : public QObject {
Q_OBJECT
public:
	static void fileCopy(const KURL&,const KURL&,QWidget* parent=0L);
	static void fileMove(const KURL&,const KURL&,QWidget* parent=0L);
	static void fileDelete(const KURL&,QWidget* parent=0L);

private slots:
	void slotResult(KIO::Job*);
	void slotStatResult(KIO::Job*);

private:
	enum {UNKNOWN,YES,NO} mExists;
	FileOperation(QWidget* parent);
	bool checkOverwrite(const KURL&);
	QWidget* mParent;
};

#endif
