/*
Gwenview - A simple image viewer for KDE
Copyright (C) 2000-2001 Aurlien Gteau

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
#ifndef FOLDERWIDGETITEM_H
#define FOLDERWIDGETITEM_H

// Qt includes
#include <qlistview.h>

// KDE includes
#include <kurl.h>


class FolderWidget;


class FolderWidgetItem : public QListViewItem {
public:
	FolderWidgetItem(FolderWidget* folderWidget, const QString& label,const KURL& url);
	FolderWidgetItem(FolderWidget* folderWidget,QListViewItem* parent,const QString& label,const KURL& url);

	void setURL(const KURL& url);
	void setOpen(bool);
	void initExpandable();

	FolderWidgetItem* find(const QString& label) const;
	QString folder() const { return mURL.path(); }

private:
	FolderWidget* mFolderWidget;
	KURL mURL;
};


#endif
