/*
Gwenview - A simple image viewer for KDE
Copyright (C) 2000-2001 Aurlien Gteau

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/
#ifndef PIXMAPWIDGET_H
#define PIXMAPWIDGET_H

// QT includes
#include <qwidgetstack.h>

class FullScreenWidget;
class GVPixmap;
class KConfig;
class ScrollPixmapWidget;


class PixmapWidget : public QWidgetStack {
Q_OBJECT
	QPixmap mPixmap;
	ScrollPixmapWidget* mScrollPixmapWidget;
	FullScreenWidget* mFullScreenWidget;

	bool mFullScreen;

public:
	PixmapWidget(QWidget* parent,GVPixmap*);
	~PixmapWidget();

	const QPixmap& pixmap() const { return mPixmap; }
	double scale() const;

	void readConfig(KConfig*,const QString&);
	void writeConfig(KConfig*,const QString&) const;

	FullScreenWidget* fullScreenWidget() const { return mFullScreenWidget; }

public slots:
	void setScale(double);
	void setFullScreen(bool);

signals:
	void selectPrevious();
	void selectNext();
};


#endif
