/*
Gwenview - A simple image viewer for KDE
Copyright (C) 2000-2001 Aurlien Gteau

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/


#ifndef SCROLLPIXMAPWIDGET_H
#define SCROLLPIXMAPWIDGET_H

// Qt includes
#include <qpixmap.h>
#include <qscrollview.h>

class QPainter;
class QMouseEvent;
class QWheelEvent;
class GVPixmap;

class ScrollPixmapWidget : public QScrollView {
Q_OBJECT
	GVPixmap* mGVPixmap;
	double mScale;
	int mScrollStartX,mScrollStartY;

	void viewportMousePressEvent(QMouseEvent*);
	void viewportMouseMoveEvent(QMouseEvent*);
	void wheelEvent(QWheelEvent*);
	void viewportMouseReleaseEvent(QMouseEvent*);

	void drawContents(QPainter* p,int clipx,int clipy,int clipw,int cliph);


public:
	ScrollPixmapWidget(QWidget* parent,GVPixmap*,bool);
	void enableView(bool);

	double scale() const { return mScale; }
	void setScale(double scale);

public slots:
	void updateView();

signals:
	void selectPrevious();
	void selectNext();
};


#endif
